ExpandVetoException (Java Platform SE 8 )
Keywords: javax.swing.tree.ExpandVetoException class
Date: 2015-11-19

javax.swing.tree

## Class ExpandVetoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.swing.tree.ExpandVetoException

- All Implemented Interfaces:
    Serializable

      public class ExpandVetoException
      extends Exception

  Exception used to stop and expand/collapse from happening. See How to Write a Tree-Will-Expand Listener in The Java Tutorial for further information and examples.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TreeExpansionEvent` | `event` The event that the exception was created for.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpandVetoException(TreeExpansionEvent event)` Constructs an ExpandVetoException object with no message.
    `ExpandVetoException(TreeExpansionEvent event, String message)` Constructs an ExpandVetoException object with the specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### event

          protected TreeExpansionEvent event

      The event that the exception was created for.

  - ### Constructor Detail

    - #### ExpandVetoException

          public ExpandVetoException(TreeExpansionEvent event)

      Constructs an ExpandVetoException object with no message.
      Parameters:
        `event` - a TreeExpansionEvent object

    - #### ExpandVetoException

          public ExpandVetoException(TreeExpansionEvent event,
                                     String message)

      Constructs an ExpandVetoException object with the specified message.
      Parameters:
        `event` - a TreeExpansionEvent object
        `message` - a String containing the message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.